Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Assembly_Manager.cpp File Reference

CIAO's Assembly managing process. More...

`#include "Assembly_Impl.h"`
`#include "Assembly_Service_Impl.h"`
`#include "CIAO_ServersC.h"`
`#include "Server_init.h"`
`#include "tao/IORTable/IORTable.h"`
`#include "ace/SString.h"`
`#include "ace/Read_Buffer.h"`
`#include "ace/Get_Opt.h"`
`#include "ace/OS_NS_stdio.h"`

Include dependency graph for Assembly_Manager.cpp:

## Functions
int | parse_args (int argc, char *argv[])
int | write_IOR (const char *ior)
int | main (int argc, char *argv[])
## Variables
char * | config_filename_ = 0
char * | output_ior_filename_ = 0

## Detailed Description

CIAO's Assembly managing process.

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |

int parse_args | ( | int | argc,
|  | char * | argv[]
| ) |

int write_IOR | ( | const char * | ior | ) |

## Variable Documentation

char* config_filename_ = 0

char* output_ior_filename_ = 0